#!/bin/sh
# call example: ./makearchive.sh 1.0.0 harvest-rc1 HEAD
VERSION=$1
RELEASE=$2
REVISION=$3

if [ -n "$REVISION" ] ; then
	REVISION_ARG="-r $REVISION"
fi

BASE_DIR=$PWD
PACKAGE_DIR=$BASE_DIR/package
TEMP_DIR=$BASE_DIR/tmp
TEMP_ROC_DIR=$TEMP_DIR/rocrail-$VERSION
TEMP_ARCHIVE=$TEMP_DIR/rocrail-$VERSION-$RELEASE.tgz

echo "Preparing to create archive..."
if [ -d $TEMP_ROC_DIR ] ; then
	rm -r $TEMP_ROC_DIR
fi

if [ -e $TEMP_ARCHIVE ] ; then
	rm -f $TEMP_ARCHIVE
fi

mkdir -p $PACKAGE_DIR
mkdir -p $TEMP_DIR

echo "Retrieving current version from source control..."
#svn co -r $REVISION https://rocrail.svn.sourceforge.net/svnroot/rocrail/Rocrail /tmp/rocrail-$VERSION/Rocrail
bzr branch lp:rocrail $TEMP_ROC_DIR $REVISION_ARG

echo "Removing extra version control files..."
rm -r $TEMP_ROC_DIR/.bzr
rm -r $TEMP_ROC_DIR/.settings

echo "Tagging the version with the revision number..."
( cd $TEMP_ROC_DIR && make REVISION=$REVISION version )

echo "Creating archive..."
( cd $TEMP_DIR && tar -czf $TEMP_ARCHIVE rocrail-$VERSION )

echo "Moving archive to package directory..."
mv $TEMP_ARCHIVE $PACKAGE_DIR

echo "Cleaning up..."
rm -r -f $TEMP_ROC_DIR

echo "Done."
