#!/bin/bash
# variable 1: should be something like "0.9"
# variable 2: should be something like "0" == patch 0
# variable 3: CVS revision tag (rocrail-vXXX or HEAD)
# variable 4: cpu for redhat i386, suse i586, suses390 s390

VERSION=$1
RELEASE=$2
REVISION=$3
CPU=$4

BUILDROOT=package/rpmbuild
SOURCE_ARCHIVE=package/rocrail-$VERSION-$RELEASE.tgz

if [ !  $1 ] || [ ! $2 ] || [ ! $3 ] || [ ! $4 ] ; then
  echo "Usage: makerpm.sh version release revision cpu"
  exit $?
fi

if [ ! -e ~/.rpmmacros ] ; then
	cp rocpkg/rpm/_rpmmacros ~/.rpmmacros
fi

mkdir -p $BUILDROOT/out
mkdir -p $BUILDROOT/SOURCES
mkdir -p $BUILDROOT/BUILD
mkdir -p $BUILDROOT/SPECS
mkdir -p $BUILDROOT/RPMS
mkdir -p $BUILDROOT/SRPMS
mkdir -p $BUILDROOT/$CPU


if [ ! -e $SOURCE_ARCHIVE ] ; then
	echo "Archive not found.  Creating..."
	./makearchive.sh $VERSION $RELEASE $REVISION
fi

echo "Copying archive to SOURCES..."
cp $SOURCE_ARCHIVE $BUILDROOT

echo "Executing rpmbuild..."
rpmbuild -v -bb --buildroot $BUILDROOT rocrail-$VERSION/rocpkg/rpm/rocrail.spec


echo "Cleaning up..."
cp $BUILDROOT/$CPU/rocrail*.rpm package
rm -Rf $BUILDROOT/BUILD/rocrail-$VERSION
