#!/bin/sh
#
#    Copyright 2009 Rocrail.net.  See www.rocrail.net for license details
#

#
# Set program locations
#

# Look for a rocinit.sh file generated by make install,
# giving preference to a file in the same directory
if [ -e "`dirname $0`/rocinit.sh" ] ; then
	. "`dirname $0`/rocinit.sh"
elif [ -n "`which rocinit.sh`" ] ; then
	. rocinit.sh
else
	echo "ERROR: rocinit.sh not found"
	exit 5
fi

ROCRAIL_EXECCMD=$ROCRAIL_LIBDIR/rocrail


# Check if rocrail is already running
if [ -n "`ps a | grep "$ROCRAIL_EXECCMD" | grep -v "$0" | grep -v 'grep'`" ] ; then
  echo "Rocrail is already running."
  exit
fi


# Run Rocrail
cd $ROCRAIL_HOME
echo "Starting Rocrail..."
$ROCRAIL_EXECCMD -console -l $ROCRAIL_LIBDIR
